/* Copyright (C) 2025 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Sergei Zharko [committer] */


#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class cbm::algo::kf::TrackParamBaseScalar<float> + ;
#pragma link C++ class cbm::algo::kf::TrackParamBaseScalar<double> + ;

#pragma link C++ class cbm::algo::kf::TrackParamBase<float> + ;
#pragma link C++ class cbm::algo::kf::TrackParamBase<double> + ;
#pragma link C++ class cbm::algo::kf::TrackParamBase<Vc_1::Vector<float, Vc_1::VectorAbi::Scalar> > + ;

#pragma link C++ class cbm::algo::kf::TrackParam<float> + ;
#pragma link C++ class cbm::algo::kf::TrackParam<double> + ;
#pragma link C++ class cbm::algo::kf::TrackParam<Vc_1::Vector<float, Vc_1::VectorAbi::Scalar> > + ;
#endif
