/* Copyright (C) 2023-2023 Warsaw University of Technology, Warsaw
    SPDX-License-Identifier: GPL-3.0-only
    Authors: Daniel Wielanek [committer] */
#include "HalCbmDetectorID.h"

#include <Hal/Cout.h>

TString HalCbm::GetContainerName(TString name)
{
  if (name == "reco") {
    return "CbmAnaTreeSourceContainer.";
  }
  if (name == "mc") {
    return "CbmAnaTreeMcSourceContainer.";
  }
  if (name == "v0") {
    return "CbmAnaTreeV0SourceContainer.";
  }
  Hal::Cout::PrintInfo(Form("HalCbm::GetContainerName wrong flag '%s'", name.Data()), Hal::EInfo::kError);
  return "";
}
