/* Copyright (C) 2023-2023 Warsaw University of Technology, Warsaw
    SPDX-License-Identifier: GPL-3.0-only
    Authors: Daniel Wielanek [committer] */
#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ namespace HalCbm;
#pragma link C++ namespace HalCbm::DetectorID;
#pragma link C++ enum HalCbm::GeoSetup;
#pragma link C++ enum HalCbm::DataFormat;

#pragma link C++ class CbmHelix + ;
#pragma link C++ class HalCbmField + ;


#pragma link C++ class HalCbmATIOManager + ;
#pragma link C++ class HalCbmSource + ;
#pragma link C++ class HalCbmAnalysisManager + ;

#pragma link C++ class HalCbmTaskManager + ;
#pragma link C++ class HalCbmCompressionTask + ;

#pragma link C++ class Hal::Fair::TaskManager + ;
#pragma link C++ class Hal::Fair::RootManager + ;
#pragma link C++ class Hal::Fair::QAManagerBasic + ;
#pragma link C++ class Hal::Fair::Field + ;

#pragma link C++ class CbmAnaTreeSource + ;
#pragma link C++ class CbmAnaTreeObjectTrack + ;
#pragma link C++ class CbmAnaTreeContainer + ;
#pragma link C++ class CbmAnaTreeRecoContainer + ;
#pragma link C++ class CbmAnaTreeMcContainer + ;
#pragma link C++ class CbmAnaTreeV0Container + ;
#pragma link C++ class CbmAnaTreeContainers + ;
//#pragma link C++ class HalCbmQACoreManager + ;
#pragma link C++ namespace Hal::Fair;
//#pragma link C++ class CbmNicaCompression + ;
