/* Copyright (C) 2025-2025 Warsaw University of Technology, Warsaw
    SPDX-License-Identifier: GPL-3.0-only
    Authors: Daniel Wielanek [committer] */
#include "HalCbmV0Track.h"

void HalCbmV0Track::CopyData(V0Track* v)
{
  Hal::V0Track::CopyData(v);
  HalCbmV0Track* v0 = (HalCbmV0Track*) (v);
  fMcId             = v0->fMcId;
  fDecDl            = v0->fDecDl;
  fChi2geo          = v0->fChi2geo;
  fChi2First        = v0->fChi2First;
  fChi2Second       = v0->fChi2Second;
}
